classification
Title: IDLE regression -- Search and Replace Window doesn't automatically clear
Type: behavior Stage: resolved
Components: IDLE Versions: Python 3.4, Python 3.2, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: benjamin.peterson, georg.brandl, larry, python-dev, rhettinger, roger.serwy
Priority: release blocker Keywords: patch

Created on 2013-04-03 11:27 by rhettinger, last changed 2013-04-06 14:43 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
issue17625.patch roger.serwy, 2013-04-04 00:15 review
Messages (10)
msg185917 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2013-04-03 11:27
In an editor window, select Edit-Replace and click ReplaceAll.  The dialog window stays open.   Formerly, it cleared immediately which was useful.  The new behavior is confusing and less useful.
msg185924 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2013-04-03 14:11
That behavior was introduced as part of the patch I wrote a long time ago for #13052. In retrospect that extra functionality went beyond the scope of that issue and should not have been included.

Does anyone else think that the new behavior ought to be reverted? I don't mind reverting it.

A related issue is #17511 which wants to keep the Find dialog open instead of closing.
msg185981 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2013-04-04 00:15
The attached patch restores the original behavior.
msg185987 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2013-04-04 00:51
Thanks.  Please go ahead and apply it.  I'm teaching some Python classes right now using the 2.7.4rc1 and the students are tripping over the new behavior.
msg185991 - (view) Author: Roger Serwy (roger.serwy) * (Python committer) Date: 2013-04-04 01:11
If students are having trouble, then it should be changed. This behavior is also in 3.2. 

Do applied patches in 2.7 tip go toward 2.7.4 or 2.7.5? (I don't know the mechanics of the release candidate process just yet.)
msg185996 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-04-04 02:33
I'll handle it.
msg185997 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-04 02:38
New changeset edcfd18840cc by Benjamin Peterson in branch '2.7':
close search and replace dialog after it is used (closes #17625)
http://hg.python.org/cpython/rev/edcfd18840cc

New changeset 36130b84cd22 by Benjamin Peterson in branch '3.3':
close search and replace dialog after it is used (closes #17625)
http://hg.python.org/cpython/rev/36130b84cd22

New changeset a6c2210220dd by Benjamin Peterson in branch 'default':
merge 3.3 (#17625)
http://hg.python.org/cpython/rev/a6c2210220dd
msg185998 - (view) Author: Benjamin Peterson (benjamin.peterson) * (Python committer) Date: 2013-04-04 02:39
Over to Georg for 3.3 cherry picking.
msg186015 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-04-04 09:08
Done, thanks.
msg186127 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-06 14:43
New changeset 13e5664c5d19 by Benjamin Peterson in branch '3.2':
close search and replace dialog after it is used (closes #17625)
http://hg.python.org/cpython/rev/13e5664c5d19

New changeset 7746d238c4bb by Benjamin Peterson in branch '3.3':
close search and replace dialog after it is used (closes #17625)
http://hg.python.org/cpython/rev/7746d238c4bb
History
Date User Action Args
2013-04-06 14:43:56python-devsetmessages: + msg186127
2013-04-04 09:08:10georg.brandlsetmessages: + msg186015
2013-04-04 02:39:15benjamin.petersonsetassignee: roger.serwy -> georg.brandl
messages: + msg185998
2013-04-04 02:38:11python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg185997

resolution: fixed
stage: commit review -> resolved
2013-04-04 02:33:35benjamin.petersonsetmessages: + msg185996
2013-04-04 01:11:06roger.serwysetstage: patch review -> commit review
messages: + msg185991
versions: + Python 3.2
2013-04-04 00:52:07rhettingersetpriority: high -> release blocker
nosy: + georg.brandl, larry, benjamin.peterson
2013-04-04 00:51:48rhettingersetpriority: normal -> high

messages: + msg185987
2013-04-04 00:16:00roger.serwysetfiles: + issue17625.patch
keywords: + patch
messages: + msg185981

stage: needs patch -> patch review
2013-04-03 14:11:07roger.serwysettype: behavior
stage: needs patch
messages: + msg185924
versions: + Python 3.3, Python 3.4
2013-04-03 11:27:24rhettingercreate